%define major 1
%define libname %mklibname tommath %{major}
%define libname_devel %mklibname tommath -d
%define libname_static_devel %mklibname tommath -d -s

Summary:	Portable number theoretic multiple-precision integer library
Name:		libtommath
Version:	1.0
Release:	%mkrel 1
Group:		System/Libraries
License:	Public Domain
URL:		http://www.libtom.org/LibTomMath/
Source0:	https://github.com/libtom/%{name}/archive/v%{version}.tar.gz#/%{name}-%{version}.tar.gz
BuildRequires:	ghostscript
BuildRequires:	libtool
BuildRequires:	libtiff-progs

%description
A free open source portable number theoretic multiple-precision integer
library written entirely in C. (phew!). The library is designed to
provide a simple to work with API that provides fairly efficient
routines that build out of the box without configuration.

%package -n	%{libname}
Summary:	Portable number theoretic multiple-precision integer library
Group:		System/Libraries

%description -n	%{libname}
A free open source portable number theoretic multiple-precision integer
library written entirely in C. (phew!). The library is designed to
provide a simple to work with API that provides fairly efficient
routines that build out of the box without configuration.

%package -n	%{libname_devel}
Summary:	Development files for %{name}
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	tommath-devel = %{version}-%{release}

%description -n %{libname_devel}
The %{libname_devel} package contains libraries and header files for
developing applications that use %{name}.

%prep
%setup -q
%autopatch -p1

%build
export CFLAGS="%{optflags}"

%make LIBPATH=%{_libdir} -f makefile.shared 

%install
%make_install INCPATH=%{_includedir} LIBPATH=%{_libdir} -f makefile.shared

find %{buildroot} -name "*.la" -delete
find %{buildroot} -name '*.a' -delete

%files -n %{libname}
%license LICENSE
%{_libdir}/*.so.%{major}{,.*}

%files -n %{libname_devel}
%{_includedir}/*.h
%{_libdir}/*.so


%changelog
* Sat Apr 09 2016 philippem <philippem> 1.0-1.mga6
+ Revision: 999865
- update to 1.0, Move headers to default location

* Thu Feb 11 2016 umeabot <umeabot> 0.42.0-8.mga6
+ Revision: 955800
- Mageia 6 Mass Rebuild

  + danf <danf>
    - Updated URLs

* Wed Oct 15 2014 umeabot <umeabot> 0.42.0-7.mga5
+ Revision: 742823
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.42.0-6.mga5
+ Revision: 681816
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.42.0-5.mga4
+ Revision: 507455
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 fwang <fwang> 0.42.0-4.mga3
+ Revision: 358547
- there is no .a files

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jul 25 2011 dlucio <dlucio> 0.42.0-3.mga2
+ Revision: 129297
- .la in correct place
- .la enabled again, we need it for c-icap

* Mon Jul 18 2011 fwang <fwang> 0.42.0-1.mga2
+ Revision: 125727
- do not build doc now
- new version 0.42.0

* Sun Jan 23 2011 ennael <ennael> 0.39-3.mga1
+ Revision: 33454
- remove mdkversion
- imported package libtommath

